com.google.cloud.dataflow.sdk.transforms

## Class CombineFnBase

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.CombineFnBase

    public class CombineFnBase
    extends Object

This class contains the shared interfaces and abstract classes for different types of combine functions.

Users should not implement or extend them directly.

### Nested Class Summary

Nested Classes
`static interface` `CombineFnBase.GlobalCombineFn<InputT,AccumT,OutputT>` A `GloballyCombineFn<InputT, AccumT, OutputT>` specifies how to combine a collection of input values of type `InputT` into a single output value of type `OutputT`.
`static interface` `CombineFnBase.PerKeyCombineFn<K,InputT,AccumT,OutputT>` A `PerKeyCombineFn<K, InputT, AccumT, OutputT>` specifies how to combine a collection of input values of type `InputT`, associated with a key of type `K`, into a single output value of type `OutputT`.

### Constructor Summary

Constructors
Constructor and Description
`CombineFnBase()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CombineFnBase

    public CombineFnBase()